public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq/
Date: Sat, 26 Nov 2022 00:37:00 +0000 (UTC)	[thread overview]
Message-ID: <1669423018.5f92d9dc75cfdf34c9f3e43b608c07273f847c1e.xgqt@gentoo> (raw)

commit:     5f92d9dc75cfdf34c9f3e43b608c07273f847c1e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 26 00:23:48 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Nov 26 00:36:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f92d9dc

sci-mathematics/coq: bump to 8.16.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/coq/Manifest          |   1 +
 sci-mathematics/coq/coq-8.16.1.ebuild | 111 ++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/sci-mathematics/coq/Manifest b/sci-mathematics/coq/Manifest
index 799be072c0d9..522b40f83976 100644
--- a/sci-mathematics/coq/Manifest
+++ b/sci-mathematics/coq/Manifest
@@ -3,3 +3,4 @@ DIST coq-8.12.0.tar.gz 6774001 BLAKE2B dc1d6adf9d4bd50d46007fbf5fd43d1ea97b6b226
 DIST coq-8.13.0.tar.gz 7010242 BLAKE2B bf9ec96b6698a2371be3164f65424a8ffb273252afc05e046267cae4265c1be71f89d0345f9e40ab3a93f5063080fd0224502cc0de808c7a0ddbb0edacab5fca SHA512 c355f0a9183f3669debd5f8f4ab96786215d0cccc37d1c2ac95a2d3c6115c8b0ee7ff7e23464b18444e2648ef3f8c221f0f3a28acf91199751cea2b74ee3fe8e
 DIST coq-8.15.2.tar.gz 7222794 BLAKE2B 2f187982a56cb0a512af838ee321b245f9a44b0c32f5413aafcef8e5b7f933e9b05ba521c3e681a6c6973ca2b7ec5965a8b69b2febb978ce7cf246755187f656 SHA512 6a5487912dedb6e54145bf3f177a091cffe13429ba2f73db7c1cc241fe10e86340c968e19cefba7d680facce55f4e914cbd16a317264b109a6f9a01ec822a8c5
 DIST coq-8.16.0.tar.gz 7397421 BLAKE2B 25b94002c4d1d1266ef948f0276df74d6a60c5b5100c7126232e0e33642be3ec14f33acfff5d0d5c17681676338374f694ca7c8c35200e522e480c3791f69dd8 SHA512 f324b68efcec0680a52c92d6e2fdd340a0e360e7d56d7fc3b4b781af3bec923d2fa2fdbb139b07d2253568a657a09c0d3da4cd5bdf984a6ab913e606056df4b3
+DIST coq-8.16.1.tar.gz 7401345 BLAKE2B fa6bbcd6b4ee29feaf7475f58193209afeae0bf8b6e3640f2f1cf40dfcee7d7f1fb3f371e8790b8d11c993b5f234e9175f1f5036a7286b7c6569720ddd3985f7 SHA512 e9c82f1a180c2e3946628e8e039999a1841397a5b4cd77f158de69876fa43b5c0f61ce76c510cc2b2f646a489110aea59da452b88ddd7850d1eab4105f1382f5

diff --git a/sci-mathematics/coq/coq-8.16.1.ebuild b/sci-mathematics/coq/coq-8.16.1.ebuild
new file mode 100644
index 000000000000..8f3da8dda4ab
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.16.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+inherit desktop dune
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/"
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc gtk debug +ocamlopt"
+RESTRICT="test"  # fails
+
+RDEPEND="
+	dev-ml/zarith:=
+	|| (
+		dev-ml/num
+		<dev-lang/ocaml-4.09.0[ocamlopt?]
+	)
+	gtk? (
+		>=dev-ml/lablgtk-3.1.2:3=[sourceview,ocamlopt?]
+		>=dev-ml/lablgtk-sourceview-3.1.2:3=[ocamlopt?]
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	doc? (
+		>=dev-java/antlr-4.7:4
+		dev-python/antlr4-python3-runtime
+		dev-python/beautifulsoup4
+		dev-python/pexpect
+		dev-python/sphinx_rtd_theme
+		dev-python/sphinxcontrib-bibtex
+		dev-tex/latexmk
+		dev-texlive/texlive-fontsextra
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-xetex
+		media-fonts/freefont
+	)
+"
+
+DOCS=( CODE_OF_CONDUCT.md CONTRIBUTING.md CREDITS INSTALL.md README.md )
+
+src_configure() {
+	local myconf=(
+		-prefix /usr
+		-libdir /usr/$(get_libdir)/coq
+		-mandir /usr/share/man
+		-docdir /usr/share/doc/${PF}
+		-datadir /usr/share/coq
+		-configdir /etc/xdg/${PN}
+		-with-doc $(usex doc)
+	)
+
+	use debug && myconf+=( -debug )
+	use ocamlopt || myconf+=( -byte-only )
+
+	if use gtk ; then
+		if use ocamlopt ; then
+			myconf+=( -coqide opt )
+		else
+			myconf+=( -coqide byte )
+		fi
+	else
+		myconf+=( -coqide no )
+	fi
+
+	export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+
+	echo "Configure options: ${myconf[@]}"
+	sh ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+	emake STRIP="true" VERBOSE=1 COQ_USE_DUNE="" world
+}
+
+src_test() {
+	emake STRIP="true" VERBOSE=1 COQ_USE_DUNE="" check
+}
+
+src_install() {
+	local sym
+	local syms=( coq-core coqide-server )
+
+	emake STRIP="true" VERBOSE=1 COQ_USE_DUNE="" DESTDIR="${D}" install-library
+	dune-install coq-core coqide-server
+
+	if use gtk ; then
+		dune-install coqide
+		make_desktop_entry "coqide" "Coq IDE" "${EPREFIX}/usr/share/coq/coq.png"
+		syms+=( coqide )
+	fi
+
+	use doc && emake DESTDIR="${D}" install-doc-all
+	einstalldocs
+
+	# Dune installs into /usr/<libdir>/ocaml/<coq> but
+	# Coq wants /usr/<libdir>/<coq> ; symlink those directories
+	for sym in ${syms[@]} ; do
+		dosym $(ocamlc -where)/${sym} /usr/$(get_libdir)/${sym}
+	done
+}


             reply	other threads:[~2022-11-26  0:37 UTC|newest]

Thread overview: 80+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-26  0:37 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-30 19:34 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq/ Arthur Zamarin
2024-09-09  8:28 Maciej Barć
2024-09-09  0:06 Maciej Barć
2024-06-10 13:59 Maciej Barć
2024-05-23 22:08 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-02-27 23:42 Sam James
2024-01-25  3:21 Maciej Barć
2024-01-16  5:46 Viorel Munteanu
2023-09-09 18:14 Maciej Barć
2023-09-09 18:14 Maciej Barć
2023-09-09 18:14 Maciej Barć
2023-08-16  2:20 Sam James
2023-07-17 12:33 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-11  8:43 Jakov Smolić
2023-06-28  1:12 Maciej Barć
2023-06-28  1:12 Maciej Barć
2023-05-26 20:06 Arthur Zamarin
2023-04-12 16:00 Maciej Barć
2023-04-11 20:02 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-10 18:49 Maciej Barć
2022-11-26 15:31 Maciej Barć
2022-11-26  0:58 Maciej Barć
2022-11-26  0:37 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-05-31 16:51 Maciej Barć
2022-05-31 16:15 Maciej Barć
2022-05-31 16:15 Maciej Barć
2022-03-22 19:22 Maciej Barć
2022-03-13 13:19 Maciej Barć
2022-02-27  3:48 Maciej Barć
2022-02-18 15:11 Maciej Barć
2022-02-17 23:19 Maciej Barć
2022-02-17 14:11 Maciej Barć
2022-02-17 13:21 Maciej Barć
2022-01-28 17:43 Maciej Barć
2021-12-14 12:45 Joonas Niilola
2021-12-07  6:26 Agostino Sarubbo
2021-12-06  7:15 Jakov Smolić
2021-07-26 11:06 Andrew Ammerlaan
2021-04-06 18:52 Alfredo Tupone
2021-02-09 17:19 Alfredo Tupone
2021-02-08  8:25 Sam James
2021-02-08  8:00 Sam James
2021-02-08  8:00 Sam James
2021-02-08  7:13 Sam James
2020-10-13 12:54 Mark Wright
2020-01-07 21:01 Jason A. Donenfeld
2019-11-24  0:44 Aaron Bauman
2019-11-04 14:38 Mikle Kolyada
2019-11-04 12:19 Mikle Kolyada
2019-09-24  9:46 Mark Wright
2018-04-09 19:30 Andreas Sturmlechner
2017-07-18 17:18 Alexis Ballier
2017-07-07  8:12 Agostino Sarubbo
2017-07-07  8:05 Agostino Sarubbo
2017-01-23  9:19 Alexis Ballier
2016-12-19 18:55 Alexis Ballier
2016-12-19 12:15 Alexis Ballier
2016-11-15  9:36 Alexis Ballier
2016-08-12 11:05 Alexis Ballier
2016-07-13 12:55 Alexis Ballier
2016-06-25 21:31 Patrice Clement
2016-06-25 21:09 Patrice Clement
2016-06-23 11:26 Alexis Ballier
2016-06-21 20:32 Michał Górny
2016-04-11  5:56 Alexis Ballier
2015-11-12 11:43 Agostino Sarubbo
2015-11-11 10:39 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669423018.5f92d9dc75cfdf34c9f3e43b608c07273f847c1e.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox